API reference
Paddle provides a suite of simple and flexible API endpoints to retrieve or update data on your subscription plans, products, payments, and customers.
Quick Start
Section titled “Quick Start”- Set up a product in your Paddle Seller Dashboard
- Get your authentication details
- Try the request below to fetch all products and plans on your account
curl -X POST \ -d 'vendor_id=123' \ -d 'vendor_auth_code=123:456abc' \ https://vendors.paddle.com/api/2.0/product/get_productsAPI Reference Documentation
Section titled “API Reference Documentation”Explore the interactive API documentation for each API:
- Product API - Get information about products and coupons, generate licenses and coupons, and create custom payment links
- Subscription API - Get information about plans, update and cancel user subscriptions, add and remove subscription modifiers, and reschedule subscription payments
- Alert API - Get the history of all your subscribed webhook alerts
- Checkout API - Retrieve order details from completed checkouts, fetch product prices and retrieve historical purchases and license codes
Common API Use Cases
Section titled “Common API Use Cases”- Create a payment link to override default checkout behavior
- Update the details of an active subscription
- Fetch an array of product prices
- Get the transactions history for a user
Testing
Section titled “Testing”Try the API out in Postman.